<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="Sqlite">
  <database-model serializer="dbm" dbms="SQLITE" family-id="SQLITE" format-version="4.14">
    <root id="1">
      <ServerVersion>3.25.1</ServerVersion>
    </root>
    <schema id="2" parent="1" name="main">
      <Current>1</Current>
      <Visible>1</Visible>
    </schema>
    <collation id="3" parent="1" name="BINARY"/>
    <collation id="4" parent="1" name="NOCASE"/>
    <collation id="5" parent="1" name="RTRIM"/>
    <table id="6" parent="2" name="caja"/>
    <table id="7" parent="2" name="calculo_fondo"/>
    <table id="8" parent="2" name="documentos"/>
    <table id="9" parent="2" name="efectivos"/>
    <table id="10" parent="2" name="egresos"/>
    <table id="11" parent="2" name="ingresos"/>
    <table id="12" parent="2" name="sqlite_master">
      <System>1</System>
    </table>
    <table id="13" parent="2" name="tipos_egreso"/>
    <table id="14" parent="2" name="tipos_ingreso"/>
    <column id="15" parent="6" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
    </column>
    <column id="16" parent="6" name="fecha">
      <Position>2</Position>
      <DataType>date|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <key id="17" parent="6">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="18" parent="7" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
    </column>
    <column id="19" parent="7" name="valor">
      <Position>2</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="20" parent="7" name="descripcion">
      <Position>3</Position>
      <DataType>text|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="21" parent="7" name="caja_id">
      <Position>4</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <key id="22" parent="7">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="23" parent="7">
      <ColNames>caja_id</ColNames>
      <RefTableName>caja</RefTableName>
      <RefColNames>id</RefColNames>
      <OnDelete>restrict</OnDelete>
      <OnUpdate>cascade</OnUpdate>
    </foreign-key>
    <column id="24" parent="8" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
    </column>
    <column id="25" parent="8" name="cheques">
      <Position>2</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="26" parent="8" name="tarjetas">
      <Position>3</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="27" parent="8" name="caja_id">
      <Position>4</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="28" parent="8" name="retiros">
      <Position>5</Position>
      <DataType>integer|0s</DataType>
      <DefaultExpression>0</DefaultExpression>
    </column>
    <key id="29" parent="8">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="30" parent="8">
      <ColNames>caja_id</ColNames>
      <RefTableName>caja</RefTableName>
      <RefColNames>id</RefColNames>
      <OnDelete>restrict</OnDelete>
      <OnUpdate>cascade</OnUpdate>
    </foreign-key>
    <column id="31" parent="9" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
    </column>
    <column id="32" parent="9" name="veinte_mil">
      <Position>2</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="33" parent="9" name="diez_mil">
      <Position>3</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="34" parent="9" name="cinco_mil">
      <Position>4</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="35" parent="9" name="dos_mil">
      <Position>5</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="36" parent="9" name="mil">
      <Position>6</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="37" parent="9" name="quinientos">
      <Position>7</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="38" parent="9" name="cien">
      <Position>8</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="39" parent="9" name="cincuenta">
      <Position>9</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="40" parent="9" name="diez">
      <Position>10</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="41" parent="9" name="caja_id">
      <Position>11</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <key id="42" parent="9">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="43" parent="9">
      <ColNames>caja_id</ColNames>
      <RefTableName>caja</RefTableName>
      <RefColNames>id</RefColNames>
      <OnDelete>restrict</OnDelete>
      <OnUpdate>cascade</OnUpdate>
    </foreign-key>
    <column id="44" parent="10" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
    </column>
    <column id="45" parent="10" name="nro">
      <Position>2</Position>
      <DataType>text|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="46" parent="10" name="descripcion">
      <Position>3</Position>
      <DataType>text|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="47" parent="10" name="valor">
      <Position>4</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="48" parent="10" name="tipo_egreso_id">
      <Position>5</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="49" parent="10" name="caja_id">
      <Position>6</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <key id="50" parent="10">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="51" parent="10">
      <ColNames>tipo_egreso_id</ColNames>
      <RefTableName>tipos_egreso</RefTableName>
      <RefColNames>id</RefColNames>
      <OnDelete>restrict</OnDelete>
      <OnUpdate>cascade</OnUpdate>
    </foreign-key>
    <foreign-key id="52" parent="10">
      <ColNames>caja_id</ColNames>
      <RefTableName>caja</RefTableName>
      <RefColNames>id</RefColNames>
      <OnDelete>restrict</OnDelete>
      <OnUpdate>cascade</OnUpdate>
    </foreign-key>
    <column id="53" parent="11" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
    </column>
    <column id="54" parent="11" name="valor">
      <Position>2</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="55" parent="11" name="nro_inicial">
      <Position>3</Position>
      <DataType>text|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="56" parent="11" name="nro_final">
      <Position>4</Position>
      <DataType>text|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="57" parent="11" name="tipo_ingreso_id">
      <Position>5</Position>
      <DataType>integer unsigned|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="58" parent="11" name="caja_id">
      <Position>6</Position>
      <DataType>integer unsigned|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="59" parent="11" name="nro_z_inicial">
      <Position>7</Position>
      <DefaultExpression>&apos;&apos;</DefaultExpression>
    </column>
    <column id="60" parent="11" name="nro_z_final">
      <Position>8</Position>
      <DefaultExpression>&apos;&apos;</DefaultExpression>
    </column>
    <key id="61" parent="11">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="62" parent="11">
      <ColNames>tipo_ingreso_id</ColNames>
      <RefTableName>tipos_ingreso</RefTableName>
      <RefColNames>id</RefColNames>
      <OnDelete>restrict</OnDelete>
      <OnUpdate>cascade</OnUpdate>
    </foreign-key>
    <foreign-key id="63" parent="11">
      <ColNames>caja_id</ColNames>
      <RefTableName>caja</RefTableName>
      <RefColNames>id</RefColNames>
      <OnDelete>restrict</OnDelete>
      <OnUpdate>cascade</OnUpdate>
    </foreign-key>
    <column id="64" parent="12" name="type">
      <Position>1</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="65" parent="12" name="name">
      <Position>2</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="66" parent="12" name="tbl_name">
      <Position>3</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="67" parent="12" name="rootpage">
      <Position>4</Position>
      <DataType>int|0s</DataType>
    </column>
    <column id="68" parent="12" name="sql">
      <Position>5</Position>
      <DataType>text|0s</DataType>
    </column>
    <column id="69" parent="13" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
    </column>
    <column id="70" parent="13" name="nombre">
      <Position>2</Position>
      <DataType>text|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <key id="71" parent="13">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="72" parent="14" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
    </column>
    <column id="73" parent="14" name="nombre">
      <Position>2</Position>
      <DataType>text|0s</DataType>
      <NotNull>1</NotNull>
    </column>
    <key id="74" parent="14">
      <ColNames>id</ColNames>
      <Primary>1</Primary>
    </key>
  </database-model>
</dataSource>